#!/bin/bash -x

# Route Line In to SPDIF Out.

CARD="hw:0"
BEQUIET=" -q "
#BEQUIET=""
#SPDIF Playback: 

amixer -D${BEQUIET} -D${CARD} cset name='SPDIF Out Switch' on
amixer -D${BEQUIET} -D${CARD} cset name='TX Playback Switch' on
amixer -D${BEQUIET} -D${CARD} cset name='Input Source' AIF
amixer -D${BEQUIET} -D${CARD} cset name='AIF Playback Switch' on
#  No EQ, send sound straight from LineIn to SPDIF Out
amixer ${BEQUIET} -D${CARD} cset name='AIF2TX1 Input 1' IN3L
amixer ${BEQUIET} -D${CARD} cset name='AIF2TX2 Input 1' IN3R

amixer ${BEQUIET} -D${CARD} cset name='AIF2TX1 Input 1 Volume' 32
amixer ${BEQUIET} -D${CARD} cset name='AIF2TX2 Input 1 Volume' 32

# The following command can be used to test
# aplay ${BEQUIET} -D${CARD} -r 44100 -c 2 -f S32_LE <file>
